Subject: Re: [PATCH] pull: allow branch.<name>.rebase to override pull.ff=only

From: Junio C Hamano <[email-masked]>
Date: Wed, 05 Feb 2025 09:42:24 -0800

"D. Ben Knoble" <[email-masked]> writes:

>> So, I dunno.
>
> Agreed that if pull.ff=only is supposed to override all other options
> (except those on the command-line), this might be wrong. And `git pull
> --rebase` works in the scenario I described.

Yeah, I view --ff-only as a safety measure for the user to say "my
workflow is to make sure I do not have anything locally cooking on
my branch when integrating with the other side, and stop me if I
somehow made a mistake".  If rebase or other options override, the
folks in the rebasing camp, unlike in the merging camp, cannot
benefit from such safety measure, which worries me.